/* class comment */!!

inherit(Object, #Help, #(helpFileName), 2, nil)!!

now(class(Help))!!

/* 5/12/1992 10:36 */
Def new(self, helpFile | inst)
{ 
  inst := new( self:ancestor) ;
  setHelpFileName( inst, asString( helpFile ) ) ;
  ^inst
}
!!

now(Help)!!

/* 12/14/1992 15:09 - PUBLIC */
Def close(self, hWnd)
{ 
  ^Call WinHelp( hWnd, asciiz(helpFileName), 0x6, 0L ) ;  
}
!!

/* PUBLIC -- help Contents */
Def contents(self, hWnd)
{ 
   Call WinHelp( hWnd, asciiz(helpFileName), 0x1, asLong(HELP_CONTENTS) ) ;
}!!

/* PUBLIC */
Def contextNumber(self, hWnd, cn)
{ 
   Call WinHelp( hWnd, asciiz(helpFileName), 0x1, asLong(cn) ) ;
}!!

/* PUBLIC -- help on help */
Def help(self, hWnd)
{ 
   Call WinHelp( hWnd, 0L, 0x4, 0L ) ;
}!!

/* PUBLIC */
Def helpFileName(self)
{ 
   ^helpFileName
}!!

/* PUBLIC */
Def index(self, hWnd)
{ 
   Call WinHelp( hWnd, asciiz(helpFileName), 0x3, 0L ) ;
}!!
/* PUBLIC */
Def keyWord(self, hWnd, key)
{ 
   Call WinHelp( hWnd, asciiz(helpFileName), 0x101, asciiz(asString(key)) ) ;
}!!

/* PUBLIC */
Def setHelpFileName(self, aString)
{ 
   ^(helpFileName := aString)
}!!
